KateAttribute Class Reference

`#include <kateattribute.h>`

Inherited by KateArbitraryHighlightRange, and KateHlItemData.

## Public Types

enum | items { Weight = 0x1, Bold = 0x2, Italic = 0x4, Underline = 0x8, StrikeOut = 0x10, Outline = 0x20, TextColor = 0x40, SelectedTextColor = 0x80, BGColor = 0x100, SelectedBGColor = 0x200, Overline = 0x400 }

## Public Member Functions

QFont | font (const QFont &ref)
int | width (KateFontStruct &fs, const QString &text, int col, int tabWidth) const
int | width (KateFontStruct &fs, const QChar &c, int tabWidth) const
bool | itemSet (int item) const
bool | isSomethingSet () const
int | itemsSet () const
void | clearAttribute (int item)
int | weight () const
void | setWeight (int weight)
bool | bold () const
void | setBold (bool enable=true)
bool | italic () const
void | setItalic (bool enable=true)
bool | overline () const
void | setOverline (bool enable=true)
bool | underline () const
void | setUnderline (bool enable=true)
bool | strikeOut () const
void | setStrikeOut (bool enable=true)
const QColor & | outline () const
void | setOutline (const QColor &color)
const QColor & | textColor () const
void | setTextColor (const QColor &color)
const QColor & | selectedTextColor () const
void | setSelectedTextColor (const QColor &color)
const QColor & | bgColor () const
void | setBGColor (const QColor &color)
const QColor & | selectedBGColor () const
void | setSelectedBGColor (const QColor &color)
KateAttribute & | operator+= (const KateAttribute &a)
virtual void | changed ()
bool | isChanged ()
void | clear ()

## Friends

bool | operator== (const KateAttribute &h1, const KateAttribute &h2)
bool | operator!= (const KateAttribute &h1, const KateAttribute &h2)

## Detailed Description

The Attribute class incorporates all text decorations supported by Kate.

TODO: store the actual font as well. TODO: update changed mechanism - use separate bitfield

Definition at line 32 of file kateattribute.h.

The documentation for this class was generated from the following files:

- kateattribute.h
- kateattribute.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys